/**
 * https://github.com/ouyecw/cooltree.git
 */

"use strict"

const app={};

app.SystemType=require('./type/SystemType.js').default

app.MathUtil=require('./utils/MathUtil.js').default

app.Vector=require('./geom/Vector.js').default

app.ClassUtil=require('./utils/ClassUtil.js').default

app.ObjectUtil=require('./utils/ObjectUtil.js').default

app.StringUtil=require('./utils/StringUtil.js').default

app.ColorUtil=require('./utils/ColorUtil.js').default

app.CanvasUtil=require('./utils/CanvasUtil.js').default

app.WordUtil=require('./utils/WordUtil.js').default

app.DOMUtil=require('./utils/DOMUtil.js').default

app.ObjectPool=require('./utils/ObjectPool.js').default

app.CollisionUtil=require('./utils/CollisionUtil.js').default

app.PropUtil=require('./utils/PropUtil.js').default

app.SVGUtil=require('./utils/SVGUtil.js').default

app.UniqueUtil=require('./utils/UniqueUtil.js').default

app.UIOrientation=require('./model/UIOrientation.js').default

app.Compile=require('./plus/Compile.js').default

app.SVGLabel=require('./type/SVGLabel.js').default

app.ImageUtil=require('./utils/ImageUtil.js').default

app.ContextVO=require('./model/ContextVO.js').default

app.GraphicsVO=require('./model/GraphicsVO.js').default

app.JSONUtil=require('./utils/JSONUtil.js').default


app.Point=require('./geom/Point.js').default

app.Rectangle=require('./geom/Rectangle.js').default

app.Matrix=require('./geom/Matrix.js').default

app.GColor=require('./model/GColor.js').default


app.Global=require('./core/Global.js').default

app.Event=require('./events/Event.js').default

app.Signal=require('./events/Signal.js').default

app.EventDispatcher=require('./events/EventDispatcher.js').default

app.WasmFile=require('./loader/WasmFile.js').default

app.Address=require('./core/Address.js').default

app.QRCode=require('./plus/QRCode.js').default

app.Storage=require('./plus/Storage.js').default

app.DBManage=require('./plus/DBManage.js').default

app.MovieManager=require('./core/MovieManager.js').default

app.DropShadowFilter=require('./filters/DropShadowFilter.js').default

app.AssetManager=require('./core/AssetManager.js').default

app.BlendMode=require('./type/BlendMode.js').default

app.ColorTransform=require('./geom/ColorTransform.js').default

app.FontManager=require('./core/FontManager.js').default

app.File=require('./core/File.js').default

app.RenderObject=require('./core/RenderObject.js').default

app.Timer=require('./core/Timer.js').default

app.Source=require('./core/Source.js').default

app.AssetUtil=require('./utils/AssetUtil.js').default

app.Ajax=require('./net/Ajax.js').default

app.Graphics=require('./display/Graphics.js').default

app.DisplayBase=require('./display/DisplayBase.js').default

app.DOMDisplay=require('./display/DOMDisplay.js').default

app.DOMMovie=require('./display/DOMMovie.js').default

app.DisplayObject=require('./display/DisplayObject.js').default

app.MediaManager=require('./media/MediaManager.js').default

app.Media=require('./media/Media.js').default

app.Video=require('./media/Video.js').default

app.Sound=require('./media/Sound.js').default

app.WebAudio=require('./media/WebAudio.js').default

app.DisplayObjectContainer=require('./display/DisplayObjectContainer.js').default

app.StageEvent=require('./events/StageEvent.js').default

app.DefsNode=require('./display/DefsNode.js').default

app.UIBase=require('./ui/UIBase.js').default

app.ShapeVO=require('./model/ShapeVO.js').default

app.Sprite=require('./display/Sprite.js').default

app.VideoPlayer=require('./ui/VideoPlayer.js').default

app.URLLoader=require('./loader/URLLoader.js').default

app.Loader=require('./loader/Loader.js').default

app.InputText=require('./text/InputText.js').default

app.BitmapFont=require('./text/BitmapFont.js').default

app.Effect=require('./model/Effect.js').default

app.BoxShape=require('./ui/BoxShape.js').default

app.TextField=require('./text/TextField.js').default

app.SVGText=require('./text/SVGText.js').default

app.BitmapText=require('./text/BitmapText.js').default

app.Stage=require('./display/Stage.js').default

app.MovieClip=require('./display/MovieClip.js').default

app.Factory=require('./core/Factory.js').default

app.Button=require('./ui/Button.js').default


app.Easing=require('./transitions/Easing.js').default

app.TweenLite=require('./transitions/TweenLite.js').default


app.LoadingClip=require('./plus/LoadingClip.js').default

app.Calendar=require('./plus/Calendar.js').default

app.List=require('./ui/List.js').default

app.ComboList=require('./ui/ComboList.js').default

app.MoveBar=require('./ui/MoveBar.js').default

app.ScrollTouchList=require('./ui/ScrollTouchList.js').default

app.Shape=require('./ui/Shape.js').default

app.SlideBar=require('./ui/SlideBar.js').default

app.SwitchButton=require('./ui/SwitchButton.js').default

app.TouchScale=require('./ui/TouchScale.js').default

app.Transformer=require('./ui/Transformer.js').default

app.UIContainer=require('./ui/UIContainer.js').default

app.BlobUtil=require('./utils/BlobUtil.js').default

app.ArrayUtil=require('./utils/ArrayUtil.js').default

app.DisplayUtil=require('./utils/DisplayUtil.js').default

app.DoubleClick=require('./utils/DoubleClick.js').default

app.LayoutUtil=require('./utils/LayoutUtil.js').default

app.QuickUI=require('./utils/QuickUI.js').default

app.ShapeUtil=require('./utils/ShapeUtil.js').default

app.RouteUtil=require('./utils/RouteUtil.js').default

app.Popup=require('./ui/Popup.js').default

app.TimeUtil=require('./utils/TimeUtil.js').default

app.MaxRectsBinPack=require('./utils/MaxRectsBinPack.js').default

app.MySocket=require('./net/MySocket.js').default

module.exports=app;